TEXI2HTML(1)

NAME
texi2html - a Texinfo to HTML converter

SYNOPSIS
texi2html [options] file

DESCRIPTION
Texi2html converts the given Texinfo file to a set of HTML files. It tries to handle most of the Texinfo commands. It creates hypertext links for cross-references, footnotes...

It also tries to add links from a reference to its corresponding entry in the bibliography (if any). It may also handle a glossary (see the -glossary option).

Texi2html may furthermore use latex2html to generate HTML (code and/or images) for @math and @iftex tags (see the -l2h option).

Texi2html creates several files depending on the contents of the Texinfo file and on the chosen options (see FILES).

The HTML files created by texi2html are closer to TeX than to Info.

OPTIONS
Options may be abbreviated to th shortests unique prefix. The following is only an incomplete list of the available options:

-help [1|2]
    Print usage instructions and list the most important, all relevant, or all recognised (including obsolete) command-line options, and exit.

-expand info|tex|none
    Expand @ifinfo, or @iftex, or sections (default: info)

-glossary
    Use the section named 'Glossary' to build a list of terms and put links in the HTML document from each term toward its definition.

-I dir
    Look also in dir to find included files.

-menu
    Show the Texinfo menus; by default they are ignored.

-number
    Number the sections.

-split chapter|section
    Split the output into several HTML files (one per main chapter/section).

-l2h
    Use latex2html for content of @math and @tex tags. Content must be such that both, latex and tex, can translate it correctly. I.e., no tex-only constructs must be used.

-l2h_l2h prog
    Use prog as latex2html program (default latex2html). Program must be executable.

-l2h_init file
    Use file as latex2html init file. file should be used to specify in which way latex2html handles mathematical expressions and formulas. Note that latex2html locates (and uses) init-files in the following order (provided they exist): (1) global init file (usually in latex2html source dir) (2) $HOME/.latex2html_init (3) ./.latex2html_init (4) init file given on command line.

-l2h_tmp dir
    Use dir as tmp dir for latex2html. This directory (resp. its path) must not contain a dot (i.e., a ".").

-l2h_clean
    remove all intermediate files generated by latex2html (prevents caching!)

-l2h_skip
    Do not really run latex2html. Use (kept) files of previous runs, instead.

-Verbose
    Give a verbose output.

-version
    Print version and exit.

FILES
Initialisation options are read first from /etc/texi2htmlrc (the exact location being changeable with the --sysconfdir=dir option to the configure script), then from $HOME/.texi2htmlrc, then any command-line options including -init_file options; with later settings overriding earlier ones.

By default texi2html creates the following files (foo being the name of the Texinfo file):

foo_toc.html
    The table of contents.

foo.html
    The document's contents.

foo_foot.html
    The footnotes (if any).

foo_l2h_img*
    Images generated by latex2html (if any).

When used with the -split option, it creates several files (one per chapter or node), named foo_n.html (n being the index of the chapter or node), instead of the single foo.html file.

Otherwise it creates only one file: foo.html

VERSION
This is texi2html version 1.64, 2000-04-18.

AUTHOR
Texi2html was originally written by is Lionel Cons, CERN IT/DIS/OSE, Lionel.Cons@cern.ch. Over time, many other people around the net contributed to this program. Its current maintainer is Olaf Bachmann, obachman@mathematik.uni-kl.de.

AVAILABILITY
http://www.mathematik.uni-kl.de/~obachman/Texi2Html/Distrib

COPYRIGHT
Copyright © 1999, 2000 Free Software Foundation, Inc. There is NO warranty. You may redistribute this software under the terms of the GNU General Public License. For more information about these matters, see the file named COPYING.

SEE ALSO
GNU Texinfo Documentation Format
http://texinfo.org/texi2html/
World Wide Web (WWW), HyperText Markup Language (HTML)
http://www.w3.org
LaTeX2HTML
http://www-dsed.llnl.gov/files/programs/unix/latex2html

BUGS
This man-page is not up-to-date and there exists no up-to-date documentation, yet. Until it exists, see the beginning of the texi2html.init file for remarks about command-line options and configurations.

A row of a mutlicolumn table has to be in one line.

The generated HTML output is syntactically pretty bad.

TeX specific commands (normally enclosed in @iftex) will be passed over unmodified, unless latex2html is enabled.